%define debug_package %{nil}
%define rname opera

%define __noautoprov 'libfreetype.so(.*)'

Summary:	Fast and secure web browser
Name:		opera-blink
Version:	53.0.2907.68
Release:	1
License:	Proprietary
Group:		Networking/WWW
Url:		http://www.opera.com/browser
Source0:	http://download2.operacdn.com/ftp/pub/opera/desktop/%{version}/linux/%{rname}-stable_%{version}_amd64.deb
Source2:	%{name}.rpmlintrc
Source3:	opera.desktop
Suggests:	chromium-browser-pepper-flash
Provides:	%{rname}
ExclusiveArch:	x86_64

%description
Opera is a fast, secure and user-friendly web browser. It
includes web developer tools, news aggregation, and the ability
to compress data via Opera Turbo on congested networks.

%files
%{_defaultdocdir}/%{rname}-%{version}
%{_bindir}/%{rname}
%{_libdir}/%{rname}/*
%{_datadir}/applications/%{rname}.desktop
%{_datadir}/icons/*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/opera-stable.xml

#----------------------------------------------------------------------------

%prep
%setup -q -c -T

%build

%install
mkdir -p %{buildroot}

# Extract DEB packages:
pushd %{buildroot}
	ar p %{SOURCE0} data.tar.xz | xz -d > %{rname}-%{version}.x86_64.tar
	tar -xf %{rname}-%{version}.x86_64.tar
popd

# Move /usr/lib/%%{arch}-linux-gnu/%%{rname} to %%{_libdir}:
mv %{buildroot}/usr/lib/x86_64-linux-gnu/%{rname} %{buildroot}/usr/lib/
rm -rf %{buildroot}/usr/lib/x86_64-linux-gnu
mv %{buildroot}/usr/lib %{buildroot}%{_libdir}

# Modify DOC directory
mv %{buildroot}%{_datadir}/doc/%{rname}-stable %{buildroot}%{_datadir}/doc/%{rname}-%{version}

# Use our desktop file
rm -f %{buildroot}%{_datadir}/applications/%{rname}.desktop
install -m644 %{SOURCE3} %{buildroot}%{_datadir}/applications/%{rname}.desktop

# Create necessary symbolic link
mkdir -p %{buildroot}%{_libdir}/%{rname}/lib
pushd %{buildroot}%{_libdir}/%{rname}/lib
	ln -s %{_libdir}/libssl.so.10 libssl.so.1.0.0
popd

# Fix symlink:
pushd %{buildroot}%{_bindir}
	rm %{rname}
	ln -s ../lib64/%{rname}/%{rname} %{rname}
popd

# Fix <opera_sandbox> attributes:
chmod 4755 %{buildroot}%{_libdir}/%{rname}/opera_sandbox

# Remove unused directories and tarball:
pushd %{buildroot}
	rm %{rname}-%{version}.x86_64.tar
	rm -rf %{buildroot}%{_datadir}/lintian
	rm -rf %{buildroot}%{_datadir}/menu
popd

%changelog
